//
//  SLIBDebugWinow.h
//  PeekIt II
//
//  Created by C.K. Haun on 1/2/13.
//  Copyright (c) 2013 Ravenware Industries LLC. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import "SLIBDebugView.h"
#import "SLIBDebugTextView.h"

#import "SLIBDebugItem.h"
#import "SLIBDebugTableView.h"
@interface SLIBDebugWinow : NSWindow{
  IBOutlet  NSButton *clearTableButt;
    IBOutlet  NSButton *clearViewButt;
    IBOutlet  NSButton *clearTextButt;


    IBOutlet SLIBDebugView *dView;
    IBOutlet SLIBDebugTableView *dTable;
    IBOutlet SLIBDebugTextView *dText;
}

-(IBAction)doDebugViewClear:(id)sender;

-(void)addDebugItemToList:(SLIBDebugItem *)theItem;

-(IBAction)doButtonClearList:(id)sender;

-(void)addToDebugText:(SLIBDebugItem *)theItem;


@end
